POST
/
platformapi
/
chainup
/
open
/
opay
/
createThirdOrder
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/createThirdOrder
{
    "code": "",
    "msg": "",
    "data": {
        "sign": "2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd",
        "orderNum": "199999999",
    }
}

Query Parameters

appKey
string
required

Merchant Unique AppKey

Example: xxx_xxx

appOrderId
string
required

Merchant order ID.

Example: 11321

openId
string
required

Paying user's unique ID: payerUserId.

Example: 2ae04ed9165624419bad68e9e0f3f29fbd

userId
string
required

Paying user's UID (either UID or OpenID must exist, OpenID takes priority if both exist): payerUid.

Example: 22033390

orderAmount
string
required

Amount

Example: 10

orderSceneType
string

Scene type of the order, numerical enumeration.

Example: 1000011

payCoinSymbol
string
required

Payment currency, capitalized as BTCappKey.

Example: BTC

returnPage
string
required

Front-end jump to merchant's page.

Example: https://www.google.com

notifyPage
string
required

Address for back-office notification to merchants.

Example: https://www.google.com

token
string

The token previously authorized before.

Example: 2ae04ed9165624419bad68e9e0f3f29fbd

sign
string
required

MD5(Sort(Param) + secret)

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

goods
string

Product description information, can not be passed, passed must be legal json format, otherwise the order creation failure; json in the subfield for name : product name desc: product description Example: [{"name": "Product 1", "desc": "Product information 123balabala"},{"name": "Product 2", "desc":" Product information 23balabala"},{"name": "Product 3", "desc": "Product information 33balabala"}]

Response

200 - application/json
code
string

Return code

msg
string

Success or failure message

data
object